Skip to main content
GET
/
v1
/
pay
/
address
/
chains
Query Supported Chains
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/address/chains \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "currency": "BTC",
    "chains": [
      {
        "chain": "BTC",
        "currency": "BTC",
        "full_curr_type": "BTC",
        "symbol": "BTC",
        "explorer_url": ""
      },
      {
        "chain": "HT",
        "currency": "BTC",
        "full_curr_type": "BTC_HT",
        "symbol": "BTC_HT",
        "explorer_url": ""
      },
      {
        "chain": "BSC",
        "currency": "BTC",
        "full_curr_type": "BTC_BSC",
        "symbol": "BTC_BSC",
        "explorer_url": ""
      }
    ]
  }
}
API description:Query all available chains that support payment with the provided currency

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform

X-GatePay-Signature
string
required

HMAC-SHA256 signature for request validation

X-GatePay-Timestamp
string
required

Timestamp in milliseconds, must not differ from server time by more than 5 minutes

X-GatePay-Nonce
string
required

Random nonce for replay attack prevention

Query Parameters

currency
string
required

The currency to create the order in.

Response

200 - application/json

SUCCESS

status
string

Request status.

code
string

Response code.

data
object